- Qt 5.15
- Qt 3D
- C++ Classes
- QNormalDiffuseMapAlphaMaterial
- Qt 5.15.19 Reference Documentation

# QNormalDiffuseMapAlphaMaterial Class

class Qt3DExtras::QNormalDiffuseMapAlphaMaterial

The QNormalDiffuseMapAlphaMaterial provides a specialization of QNormalDiffuseMapMaterial with alpha coverage and a depth test performed in the rendering pass. More...

Header: | #include <QNormalDiffuseMapAlphaMaterial>
qmake: | QT += 3dextras
Since: | Qt 5.7
Inherits: | Qt3DExtras::QNormalDiffuseMapMaterial

This class is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Public Functions

virtual | ~QNormalDiffuseMapAlphaMaterial()

## Detailed Description

This class is deprecated; use Qt3DExtras::QDiffuseSpecularMaterial instead.

The specular lighting effect is based on the combination of 3 lighting components ambient, diffuse and specular. The relative strengths of these components are controlled by means of their reflectivity coefficients which are modelled as RGB triplets:

- Ambient is the color that is emitted by an object without any other light source.
- Diffuse is the color that is emitted for rought surface reflections with the lights.
- Specular is the color emitted for shiny surface reflections with the lights.
- The shininess of a surface is controlled by a float property.

This material uses an effect with a single render pass approach and performs per fragment lighting. Techniques are provided for OpenGL 2, OpenGL 3 or above as well as OpenGL ES 2.

## Member Function Documentation

### `[virtual]` QNormalDiffuseMapAlphaMaterial::~QNormalDiffuseMapAlphaMaterial()

Destroys the QNormalDiffuseMapAlphaMaterial instance.